version: 1
disable_existing_loggers: False

formatters:
  default:
    format: "%(asctime)s - %(name)s - %(levelname)s - %(message)s"

handlers:
  console:
    class: logging.StreamHandler
    formatter: default

root:
  level: DEBUG
  handlers: [console]


loggers:
  # Explicit logger configuration (example)
  multipart.multipart:
    level: INFO
    handlers: [console]
    propagate: False
  python_multipart.multipart:
    level: INFO
    handlers: [ console ]
    propagate: False
  httpcore:
    level: ERROR
    handlers: [ console ]
    propagate: False
  httpx:
    level: INFO
    handlers: [ console ]
    propagate: False
  watchfiles.main:
    level: ERROR
    handlers: [console]
    propagate: False

  dbengine.dbengine:
    level: ERROR
    handlers: [console]
    propagate: False

  passlib.registry:
    level: ERROR
    handlers: [console]
    propagate: False

  socket.socket:
    level: ERROR
    handlers: [ console ]
    propagate: False